helpers:
  files: 'app/helpers/**/*.rb, app/helpers/events/**/*.rb'

badge_controller:
  files: 'app/controllers/badge/**/*.rb'
  allowed: 'resque, badge_workers, controller_base'

badge_workers:
  files: 'app/workers/badge/**/*.rb, lib/send_badge_to_social_badge.rb'
  allowed: 'resque, badge_model, user_model, social_helper'

badge_model:
  files: 'app/models/badge.rb, app/models/user_badge.rb'
  required: 'activerecord'
  allowed: 'badge_workers, resque, app_model, activerecord'

dashboard_controller:
  files: 'app/controllers/dashboard/**/*.rb'
  allowed: 'dashboard_finder, stats_model, network_model, action_model, app_model, interaction_model, post_model, social_helper, user_network_model, controller_base, referral_model, origin_model, http_party, user_agent_model, user_model, airbrake'

dashboard_finder:
  files: 'app/models/dashboard/**/*.rb'
  allowed: 'stats_model, origin_model, action_model, app_model, user_model, social_helper, user_agent_model, event_model, app_user_network_model, network_model, user_network_model'

stats_generator:
  files: 'app/models/generate_stats/**/*.rb'
  allowed: 'stats_model, event_model, action_model, network_model'

stats_model:
  files: 'app/models/action_source_stats.rb, app/models/action_stats.rb, app/models/revenue_source_stats.rb, app/models/revenue_user_stats.rb, app/models/stats.rb, app/models/total_stats.rb, app/models/user_agent_platform_type_stats.rb'
  allowed: ''

events_controller:
  files: 'app/controllers/events/**/*.rb'
  allowed: 'resque, app_model, social_helper, events_workers, event_model, controller_base'

events_workers:
  files: 'app/workers/events/**/*.rb, lib/post_event_job.rb'
  allowed: 'resque, social_helper, user_model, user_network_model, event_creator, referral_model, app_model, network_model'

event_creator:
  files: 'app/models/create_event.rb'
  allowed: 'social_helper, event_model, action_model, app_model, target_model, solr_workers, resque, referrer_model, origin_model, referral_model, user_network_model, user_model, network_model, user_agent_model'

ranking_controller:
  files: 'app/controllers/ranking/**/*.rb'
  allowed: 'resque, ranking_workers, controller_base'

ranking_workers:
  files: 'app/workers/ranking/**/*.rb'
  allowed: 'resque, app_model, ranking_model'

referral_controller:
  files: 'app/controllers/referral/**/*.rb'
  allowed: 'referral_model, controller_base, airbrake'

share_controller:
  files: 'app/controllers/share/**/*.rb'
  allowed: 'resque, post_model, post_workers, facebook_info_retriever, social_helper, controller_base, http_party, interaction_model, airbrake, rails'

post_workers:
  files: 'lib/customer_post_info_job.rb, lib/customer_post_first_update_job.rb, lib/customer_post_update_job.rb, lib/customer_send_interactions_to_redis.rb, lib/save_in_redis.rb, lib/update_big_post.rb, lib/prioritize_posts.rb, lib/post_info_job.rb, lib/post_update_job.rb, lib/send_top_agents_to_redis.rb'
  allowed: 'resque, post_model, social_helper, map_post_keys, post_summary, interaction_model'

login_controller:
  files: 'app/controllers/social_login/**/*.rb'
  allowed: 'app_model, user_model, user_network_model, login_workers, resque, controller_base, app_user_network_model, network_model, airbrake'

login_workers:
  files: 'app/workers/login/**/*.rb, lib/update_friends_job.rb, lib/save_user.rb'
  allowed: 'resque, user_model, social_helper, friendship_model'

solr_workers:
  files: 'app/workers/solr/**/*.rb'
  allowed: 'resque, social_helper, solr, app_model, app_user_network_model, json, action_model, rails'

report_controller:
  files: 'app/controllers/reports_controller.rb'
  allowed: 'resque, report_model, reports_workers, interaction_model, controller_base, report_model'

reports_workers:
  files: 'app/workers/reports/**/*.rb'
  allowed: 'resque'

notification_controller:
  files: 'app/controllers/notification/**/*.rb'
  allowed: ''

controller_base:
  files: 'app/controllers/application_controller.rb'

resque:
  gems: 'Resque'

social_helper:
  gems: 'SocialHelper'

view:
  files: 'app/views/**/*.rb'
  forbidden: 'model'

report_model:
  files: 'app/models/report/**/*.rb'
  allowed: 'post_model, social_helper, interaction_model, rails, mail, aws, http_party'

app_model:
  files: 'app/models/app.rb'
  required: 'activerecord'

event_model:
  files: 'app/models/event.rb'
  allowed: 'action_model'
  required: 'activerecord'

action_model:
  files: 'app/models/action.rb'
  required: 'activerecord'

user_network_model:
  files: 'app/models/user_network.rb'
  required: 'activerecord'

network_model:
  files: 'app/models/network.rb'

app_user_network_model:
  files: 'app/models/app_user_network.rb'

user_model:
  files: 'app/models/user.rb'
  required: 'activerecord'
  allowed: 'user_infos, network_connections_log_model, user_network_model, login_workers, resque, app_model, social_helper, app_user_network_model, facebook_info_retriever, json, facebook, network_model, event_model, action_model, interaction_model'

friendship_model:
  files: 'app/models/friendship.rb'

user_infos:
  files: 'app/models/city.rb, app/models/language.rb, app/models/education.rb'
  required: 'activerecord'

referral_model:
  files: 'app/models/referral.rb'
  required: 'activerecord'

origin_model:
  files: 'app/models/origin.rb, app/models/utm.rb, app/models/utm_medium.rb, app/models/utm_campaign.rb, app/models/source.rb'
  required: 'activerecord'

ranking_model:
  files: 'app/models/ranking.rb'
  required: 'activerecord'

target_model:
  files: 'app/models/target.rb, app/models/target_type.rb'
  required: 'activerecord'

post_model:
  files: 'app/models/post.rb'
  required: 'activerecord'
  allowed: 'resque, post_workers, post_logger, facebook_info_retriever, social_helper, interaction_model, question_option_model, logger, activerecord, rails'

user_agent_model:
  files: 'app/models/user_agent_manager.rb, app/models/user_agent.rb, app/models/user_agent_platform.rb'

referrer_model:
  files: 'app/models/referrer.rb'
  required: 'activerecord'

question_option_model:
  files: 'app/models/question_option.rb'
  required: 'activerecord'

map_post_keys:
  files: 'lib/map_redis_keys.rb'

post_logger:
  files: 'config/initializers/posts_logger.rb'

post_summary:
  files: 'app/models/post_summary.rb'
  required: 'activerecord'

interaction_model:
  files: 'app/models/interaction.rb, app/models/interaction_agent.rb'

facebook_info_retriever:
  files: 'lib/facebook_info_retriever.rb'
  allowed: 'facebook, airbrake'

network_connections_log_model:
  files: 'app/models/network_connections_log.rb'
  required: 'activerecord'

twitter:
  gems: 'Twitter'

json:
  gems: 'JSON'

airbrake:
  gems: 'Airbrake, Notification::Airbrake'

http_party:
  gems: 'HTTParty'

facebook:
  gems: 'Koala'

activerecord:
  gems: 'ActiveRecord'

actioncontroller:
  gems: 'ActionController'

aws:
  gems: 'AWS'

solr:
  gems: 'Sunspot'

logger:
  gems: 'Logger'

rails:
  gems: 'Rails'

mail:
  gems: 'Mail'
